%define pypi_name greenlet

Name:		python-greenlet
Version:	3.1.1
Release:	%mkrel 1
Summary:	Lightweight in-process concurrent programming
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/greenlet/
Source0:	%{pypi_source}
BuildRequires:	glibc-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%package -n python3-greenlet
Summary:	%{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-greenlet
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-greenlet -f %{pyproject_files}
%doc AUTHORS README*
%{_includedir}/python%{python3_version}/%{pypi_name}/
%exclude %{python3_sitearch}/greenlet/tests/


%changelog
* Thu Dec 19 2024 papoteur <papoteur> 3.1.1-1.mga10
+ Revision: 2126251
- new version 3.1.1

* Sun Dec 24 2023 wally <wally> 3.0.3-1.mga10
+ Revision: 2021086
- new version 3.0.3
- use pyproject rpm macros

* Wed Dec 06 2023 kekepower <kekepower> 3.0.1-1.mga10
+ Revision: 2013547
- Update to version 3.0.1

* Fri Mar 18 2022 umeabot <umeabot> 1.1.2-3.mga9
+ Revision: 1799023
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 1.1.2-2.mga9
+ Revision: 1774500
- Rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 1.1.2-1.mga9
+ Revision: 1771219
- version 1.1.2

* Sun Aug 29 2021 wally <wally> 1.1.1-1.mga9
+ Revision: 1743363
- new version 1.1.1

* Thu May 27 2021 joequant <joequant> 1.1.0-1.mga9
+ Revision: 1728539
- update to 1.1.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.0.0-1.mga9
+ Revision: 1706023
- new version 1.0.0

* Sun Nov 22 2020 guillomovitch <guillomovitch> 0.4.17-1.mga8
+ Revision: 1648457
- new version 0.4.17

* Tue Sep 15 2020 guillomovitch <guillomovitch> 0.4.16-1.mga8
+ Revision: 1626692
- new version 0.4.16

* Sun Feb 16 2020 umeabot <umeabot> 0.4.15-6.mga8
+ Revision: 1532612
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.4.15-5.mga8
+ Revision: 1442529
+ rebuild (emptylog)

* Mon Sep 16 2019 daviddavid <daviddavid> 0.4.15-3.mga8
+ Revision: 1441815
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.4.15-2.mga7
+ Revision: 1353156
- Rebuild for python3 3.7

* Wed Jan 09 2019 daviddavid <daviddavid> 0.4.15-1.mga7
+ Revision: 1353139
- new version: 0.4.15

* Mon Jan 07 2019 kekepower <kekepower> 0.4.13-3.mga7
+ Revision: 1350693
- Rebuild for Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.4.13-2.mga7
+ Revision: 1300491
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Tue Mar 20 2018 kekepower <kekepower> 0.4.13-1.mga7
+ Revision: 1210816
- Update to version 0.4.13
- Renamed python-greenlet to python2-greenlet

* Fri Aug 04 2017 joequant <joequant> 0.4.12-1.mga7
+ Revision: 1134652
- update to 0.4.12 / python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 0.4.9-2.mga6
+ Revision: 958615
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 joequant <joequant> 0.4.9-1.mga6
+ Revision: 887380
- upgrade to 0.4.9 and python 3.5

* Thu Jul 23 2015 joequant <joequant> 0.4.7-1.mga6
+ Revision: 856419
- upgrade to 0.4.7

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-5.mga5
+ Revision: 751067
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.2-4.mga5
+ Revision: 727907
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-3.mga5
+ Revision: 688064
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.4.2-2.mga5
+ Revision: 628676
- Rebuild for new Python

* Sat Feb 08 2014 dams <dams> 0.4.2-1.mga5
+ Revision: 585697
- new version 0.4.2

* Wed Dec 11 2013 philippem <philippem> 0.4.1-1.mga4
+ Revision: 556333
- update to 0.4.1, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 0.4.0-4.mga4
+ Revision: 543416
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.0-3.mga4
+ Revision: 498705
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 378960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 0.4.0-1.mga3
+ Revision: 283875
- New version

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 0.3.4-1.mga3
+ Revision: 222985
- imported package python-greenlet


* Fri Mar 09 2012 Oliver Burger <obgr_seneca@mageia.org> 0.3.4-1.mga2
- initial package for Mageia
